# Create or update an end user and their policy `PUT /v1/end-users/{end_user}` **In this build:** Real. **Scope:** `platform.write` **CLI:** `harebox end-user set` ## Request: `PutEndUserRequest` | Field | Type | Notes | |---|---|---| | `name` | `string` | | | `labels` | `Labels` | | | `policy` | `EndUserPolicy` | | ## Response: 200 `EndUser` | Field | Type | Notes | |---|---|---| | `id` (required) | `string` | Your external ID: 1 to 128 letters, digits and _ @ . : + -. | | `key` | `string` | HareBox's ID for them: the end_user label on their agents' sandboxes. | | `name` | `string` | | | `labels` | `Labels` | | | `suspended` (required) | `boolean` | | | `policy` (required) | `EndUserPolicy` | | | `agents` | `array` | | | `created_at` | `string` | | Errors follow [one format](../errors.html).